From 91829c57fa2d6121c5423a2bcde0ebbdeb7a6f3f Mon Sep 17 00:00:00 2001
From: Nikos Kouremenos <kourem@gmail.com>
Date: Tue, 22 Mar 2005 14:09:21 +0000
Subject: [PATCH] addition of PKGBUILD for archlinux

---
 AUTHORS                                       |  1 +
 Changelog                                     |  2 +-
 Makefile                                      |  4 ++--
 README                                        |  5 +++++
 distro_pkgs/PKGBUILD                          | 18 ++++++++++++++++++
 {debian => distro_pkgs/debian}/changelog      |  0
 {debian => distro_pkgs/debian}/control        |  0
 {debian => distro_pkgs/debian}/copyright      |  0
 {debian => distro_pkgs/debian}/dirs           |  0
 {debian => distro_pkgs/debian}/gajim.manpages |  0
 {debian => distro_pkgs/debian}/menu           |  0
 {debian => distro_pkgs/debian}/rules          |  0
 12 files changed, 27 insertions(+), 3 deletions(-)
 create mode 100644 distro_pkgs/PKGBUILD
 rename {debian => distro_pkgs/debian}/changelog (100%)
 rename {debian => distro_pkgs/debian}/control (100%)
 rename {debian => distro_pkgs/debian}/copyright (100%)
 rename {debian => distro_pkgs/debian}/dirs (100%)
 rename {debian => distro_pkgs/debian}/gajim.manpages (100%)
 rename {debian => distro_pkgs/debian}/menu (100%)
 rename {debian => distro_pkgs/debian}/rules (100%)

diff --git a/AUTHORS b/AUTHORS
index 5250962a9..d5c554ddc 100644
--- a/AUTHORS
+++ b/AUTHORS
@@ -1,2 +1,3 @@
 Yann Le Boulanger (asterix AT lagaule.org)
 Vincent Hanquez (tab AT snarc.org)
+Nikos Kouremenos (kourem AT gmail.com)
diff --git a/Changelog b/Changelog
index c9e02980f..c1564e19d 100644
--- a/Changelog
+++ b/Changelog
@@ -1,4 +1,4 @@
- Gajim 0.6 release is here! (TODO)
+Gajim 0.6 release is here! (23 March 2005)
 Version 0.6 of Gajim is now Available.
 What's new since 0.5.1:
 
diff --git a/Makefile b/Makefile
index ca1fc70a8..990b7118d 100644
--- a/Makefile
+++ b/Makefile
@@ -1,4 +1,4 @@
-VERSION		?= 0.51
+VERSION		?= 0.6
 
 MODULES		= common plugins/gtkgui
 PREFIX		= /usr
@@ -29,7 +29,7 @@ dist:
 	-rm -rf gajim-$(VERSION)
 	mkdir gajim-$(VERSION)
 	cp -r plugins debian scripts common Core doc Messages sounds gajim-$(VERSION)/
-	cp setup_win32.py gajim.iss AUTHORS gajim.1 gajim.xpm gajim.ico COPYING Makefile gajim.py gajim-$(VERSION)
+	cp setup_win32.py gajim.iss AUTHORS gajim.1 gajim.xpm gajim.ico COPYING Makefile Changelog README gajim.py gajim-$(VERSION)
 	-find gajim-$(VERSION) -name '.svn' -exec rm -rf {} \; 2> /dev/null
 	find gajim-$(VERSION) -name '*.pyc' -exec rm {} \;
 	find gajim-$(VERSION) -name '*.pyo' -exec rm {} \;
diff --git a/README b/README
index 32c37abd6..e1d35c9ed 100644
--- a/README
+++ b/README
@@ -24,6 +24,11 @@ gajim
 or if you don't 'make install' you can also run from gajim folder with
 ./gajim.py
 
+TROUBLESHOOTING
+If you have python2.3 please manually edit plugins/gtkgui/Makefile and in
+CFLAGS line replace python2.4 to python2.3
+
+
 Enjoy!
 
 (C) 2005
diff --git a/distro_pkgs/PKGBUILD b/distro_pkgs/PKGBUILD
new file mode 100644
index 000000000..b65c4834f
--- /dev/null
+++ b/distro_pkgs/PKGBUILD
@@ -0,0 +1,18 @@
+# For ArchLinux #
+#################
+
+pkgname=gajim
+pkgver=0.6
+pkgrel=1
+pkgdesc="Gajim is a GTK Jabber client"
+url="http://www.gajim.org"
+license="GPL"
+depends=(pygtk)
+source=($url/downloads/$pkgname-$pkgver.tar.bz2)
+md5sums=(217c5e7f2f1523a5fde4219d238698a6)
+
+build() {
+  cd $startdir/src/$pkgname-$pkgver
+  make || return 1
+  make DESTDIR=$startdir/pkg install
+}
diff --git a/debian/changelog b/distro_pkgs/debian/changelog
similarity index 100%
rename from debian/changelog
rename to distro_pkgs/debian/changelog
diff --git a/debian/control b/distro_pkgs/debian/control
similarity index 100%
rename from debian/control
rename to distro_pkgs/debian/control
diff --git a/debian/copyright b/distro_pkgs/debian/copyright
similarity index 100%
rename from debian/copyright
rename to distro_pkgs/debian/copyright
diff --git a/debian/dirs b/distro_pkgs/debian/dirs
similarity index 100%
rename from debian/dirs
rename to distro_pkgs/debian/dirs
diff --git a/debian/gajim.manpages b/distro_pkgs/debian/gajim.manpages
similarity index 100%
rename from debian/gajim.manpages
rename to distro_pkgs/debian/gajim.manpages
diff --git a/debian/menu b/distro_pkgs/debian/menu
similarity index 100%
rename from debian/menu
rename to distro_pkgs/debian/menu
diff --git a/debian/rules b/distro_pkgs/debian/rules
similarity index 100%
rename from debian/rules
rename to distro_pkgs/debian/rules
-- 
GitLab